Skip to main content
GET
/
v1
/
contacts
List contacts
curl --request GET \
  --url https://app.chatbotx.io/api/v1/contacts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "avatar": "<string>",
      "phoneNumber": "<string>",
      "email": "<string>",
      "emailVerified": true,
      "emailOptIn": true,
      "firstName": "<string>",
      "lastName": "<string>",
      "fullName": "<string>",
      "lastReadAt": "2023-11-07T05:31:56Z",
      "ref": "<string>",
      "country": "<string>",
      "state": "<string>",
      "city": "<string>",
      "location": "<string>",
      "locale": "<string>",
      "timezone": "<string>",
      "subscribedAt": "2023-11-07T05:31:56Z",
      "broadcastSubscribedAt": "2023-11-07T05:31:56Z",
      "blockedAt": "2023-11-07T05:31:56Z",
      "workspaceId": "<string>",
      "contactCustomFields": [
        {
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "value": "<string>",
          "contactId": "<string>",
          "customFieldId": "<string>"
        }
      ],
      "tags": [
        {
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "deletedAt": "2023-11-07T05:31:56Z",
          "folderId": "<string>",
          "workspaceId": "<string>"
        }
      ],
      "contactNotes": [
        {
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "text": "<string>",
          "contactId": "<string>",
          "createdById": "<string>"
        }
      ],
      "contactInboxes": [
        {
          "id": "<string>",
          "contactId": "<string>",
          "inboxId": "<string>",
          "channel": "<string>",
          "inbox": {
            "id": "<string>",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z",
            "name": "<string>",
            "channel": "<string>",
            "sourceId": "<string>",
            "workspaceId": "<string>",
            "status": "<string>"
          }
        }
      ],
      "conversation": {
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "botEnabled": true,
        "botResumeAt": "2023-11-07T05:31:56Z",
        "archivedAt": "2023-11-07T05:31:56Z",
        "additionalAttributes": "<string>",
        "contactLastReadAt": "2023-11-07T05:31:56Z",
        "agentLastReadAt": "2023-11-07T05:31:56Z",
        "lastActivityAt": "2023-11-07T05:31:56Z",
        "followed": true,
        "workspaceId": "<string>",
        "contactId": "<string>",
        "adminRepliedAt": "2023-11-07T05:31:56Z",
        "contactRepliedAt": "2023-11-07T05:31:56Z",
        "aiContextLastMessageId": null,
        "assignedUserId": null,
        "assignedInboxTeamId": null,
        "assignedUser": {
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "email": "<string>",
          "emailVerified": true,
          "image": "<string>",
          "isAnonymous": true
        },
        "assignedInboxTeam": {
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "workspaceId": "<string>",
          "name": "<string>"
        },
        "inbox": {
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "channel": "<string>",
          "sourceId": "<string>",
          "workspaceId": "<string>",
          "status": "<string>"
        }
      }
    }
  ],
  "pageCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer | null
Required range: 1 <= x <= 9007199254740991
perPage
integer | null
Required range: 1 <= x <= 9007199254740991
sort
object[] | null
keyword
string
contactFilter
object
channels
enum<string>[]
Available options:
omnichannel,
webchat,
messenger,
whatsapp,
zalo,
smtp,
telegram,
instagram,
tiktok
inboxIds
string[]
Pattern: \d+

Response

200 - application/json

OK

data
object[]
required
pageCount
number
required